You can add a note to a single contact.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.9"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.9
- The production API serverhttps://api.intercom.io/contacts/{id}/notes
- The european API serverhttps://api.eu.intercom.io/contacts/{id}/notes
- The australian API serverhttps://api.au.intercom.io/contacts/{id}/notes
- Successful response
- Admin not found
- Contact not found
curl -i -X POST \
https://api.intercom.io/contacts/123/notes \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.9' \
-d '{
"contact_id": "6657aad76abd0164c24b0d0e",
"admin_id": 991267354,
"body": "Hello"
}'Successful response
Response
{ "type": "note", "id": "34", "created_at": 1717021399, "contact": { "type": "contact", "id": "6657aad76abd0164c24b0d0e" }, "author": { "type": "admin", "id": "991267354", "name": "Ciaran112 Lee", "email": "admin112@email.com", "away_mode_enabled": false, "away_mode_reassign": false }, "body": "<p>Hello</p>" }